Index: library/tests/square_mat_stress.cpp
===================================================================
--- library/tests/square_mat_stress.cpp (revision 468)
+++ library/tests/square_mat_stress.cpp (revision 477)
@@ -22,238 +22,237 @@
 
 namespace bdm {
-UIREGISTER(square_mat_point);
-}
-
-namespace UnitTest
-{
+UIREGISTER ( square_mat_point );
+}
+
+namespace UnitTest {
 
 // can't include mat_checks.h because CheckClose is different in this file
-extern bool AreClose(const itpp::vec &expected, const itpp::vec &actual,
-		     double tolerance);
-
-extern bool AreClose(const itpp::mat &expected, const itpp::mat &actual,
-		     double tolerance);
-
-void CheckClose(TestResults &results, const itpp::mat &expected,
-		const itpp::mat &actual, double tolerance,
-		TestDetails const& details) {
-    if (!AreClose(expected, actual, tolerance)) { 
-        MemoryOutStream stream;
-        stream << "failed at " << expected.rows()
-	       << " x " << expected.cols();
-
-        results.OnTestFailure(details, stream.GetText());
-    }
-}
-
-}
-
-typedef void (*FTestMatrix)(int, square_mat_point *);
+extern bool AreClose ( const itpp::vec &expected, const itpp::vec &actual,
+                       double tolerance );
+
+extern bool AreClose ( const itpp::mat &expected, const itpp::mat &actual,
+                       double tolerance );
+
+void CheckClose ( TestResults &results, const itpp::mat &expected,
+                  const itpp::mat &actual, double tolerance,
+                  TestDetails const& details ) {
+	if ( !AreClose ( expected, actual, tolerance ) ) {
+		MemoryOutStream stream;
+		stream << "failed at " << expected.rows()
+		<< " x " << expected.cols();
+
+		results.OnTestFailure ( details, stream.GetText() );
+	}
+}
+
+}
+
+typedef void ( *FTestMatrix ) ( int, square_mat_point * );
 
 template<typename TMatrix>
-void test_matrix(int index, square_mat_point *point) {
-    Real_Timer tt;
-	
-    cout << "agenda[" << index << "]:" << endl;
-    mat A = point->get_matrix();
-    int sz = A.rows();
-    CHECK_EQUAL(A.cols(), sz);
-
-    tt.tic();
-    TMatrix sqmat(A);
-    double elapsed = tt.toc();
-    cout << "ctor(" << sz << " x " << sz << "): " << elapsed << " s" << endl;
-
-    tt.tic();
-    mat res = sqmat.to_mat();
-    elapsed = tt.toc();
-
-    if (!fast) {
-        CHECK_CLOSE(A, res, epsilon);
-    }
-
-    cout << "to_mat: " << elapsed << " s" << endl;
-
-    vec v = point->get_vector();
-    double w = point->get_scalar();
-    TMatrix sqmat2 = sqmat;
-	
-    tt.tic();
-    sqmat2.opupdt(v, w);
-    elapsed = tt.toc();
-
-    if (!fast) {
-        mat expA = A + w * outer_product(v, v);
-	CHECK_CLOSE(expA, sqmat2.to_mat(), epsilon);
-    }
-
-    cout << "opupdt: " << elapsed << " s" << endl;
-
-    TMatrix invmat(sz);
-
-    tt.tic();
-    sqmat.inv(invmat);
-    elapsed = tt.toc();
-
-    mat invA;
-    if (!fast) {
-        invA = inv(A);
-	CHECK_CLOSE(invA, invmat.to_mat(), epsilon);
-    }
-
-    cout << "inv: " << elapsed << " s" << endl;
-
-    tt.tic();
-    double ld = sqmat.logdet();
-    elapsed = tt.toc();
-
-    if (!fast) {
-        double d = det(A);
-	CHECK_CLOSE(log(d), ld, epsilon);
-    }
-
-    cout << "logdet: " << elapsed << " s" << endl;
-
-    tt.tic();
-    double q = sqmat.qform(ones(sz));
-    elapsed = tt.toc();
-
-    if (!fast) {
-        CHECK_CLOSE(sumsum(A), q, epsilon);
-    }
-
-    cout << "qform(1): " << elapsed << " s" << endl;
-
-    tt.tic();
-    q = sqmat.qform(v);
-    elapsed = tt.toc();
-
-    if (!fast) {
-        double r = (A * v) * v;
-        CHECK_CLOSE(r, q, epsilon);
-    }
-
-    cout << "qform(v): " << elapsed << " s" << endl;
-
-    tt.tic();
-    q = sqmat.invqform(v);
-    elapsed = tt.toc();
-
-    if (!fast) {
-        double r = (invA * v) * v;
-	CHECK_CLOSE(r, q, epsilon);
-    }
-
-    cout << "invqform: " << elapsed << " s" << endl;
-
-    TMatrix twice = sqmat;
-
-    tt.tic();
-    twice += sqmat;
-    elapsed = tt.toc();
-
-    if (!fast) {
-        res = 2 * A;
-	CHECK_CLOSE(res, twice.to_mat(), epsilon);
-    }
-
-    cout << "+=: " << elapsed << " s" << endl;
-
-    sqmat2 = sqmat;
-
-    tt.tic();
-    sqmat2.mult_sym(A);
-    elapsed = tt.toc();
-
-    if (!fast) {
-        res = (A * A) * A.T();
-	CHECK_CLOSE(res, sqmat2.to_mat(), epsilon);
-    }
-
-    cout << "^2: " << elapsed << " s" << endl;
-}
-
-void test_agenda(FTestMatrix test) {
-    UIFile fag(agenda_file_name);
-    Array<square_mat_point *> mag;
-    UI::get(mag, fag, "agenda");
-    int sz = mag.size();
-    CHECK(sz > 0);
-    for (int i = 0; i < sz; ++i) {
-        test(i, mag(i));
-    }
-
-    for (int i = 0; i < sz; ++i) {
-        square_mat_point *p = mag(i);
-	mag(i) = 0;
-	delete p;
-    }
-}
-
-SUITE(ldmat) {
-    TEST(agenda) {
-        test_agenda(test_matrix<ldmat>);
-    }
-}
-
-SUITE(fsqmat) {
-    TEST(agenda) {
-        test_agenda(test_matrix<fsqmat>);
-    }
-}
-
-SUITE(chmat) {
-    TEST(agenda) {
-        test_agenda(test_matrix<chmat>);
-    }
-}
-
-int main(int argc, char const *argv[]) {
-    bool unknown = false;
-    int update_next = 0; // 1 suite, 2 epsilon, 3 agenda file
-    const char *suite = "ldmat";
-    const char **param = argv + 1;
-    while (*param && !unknown) {
-        if (update_next) {
-	    if (update_next == 1) {
-	        suite = *param;
-	    } else if (update_next == 2) {
-	        double eps = atof(*param);
-		if (eps > 0) {
-		    epsilon = eps;
+void test_matrix ( int index, square_mat_point *point ) {
+	Real_Timer tt;
+
+	cout << "agenda[" << index << "]:" << endl;
+	mat A = point->get_matrix();
+	int sz = A.rows();
+	CHECK_EQUAL ( A.cols(), sz );
+
+	tt.tic();
+	TMatrix sqmat ( A );
+	double elapsed = tt.toc();
+	cout << "ctor(" << sz << " x " << sz << "): " << elapsed << " s" << endl;
+
+	tt.tic();
+	mat res = sqmat.to_mat();
+	elapsed = tt.toc();
+
+	if ( !fast ) {
+		CHECK_CLOSE ( A, res, epsilon );
+	}
+
+	cout << "to_mat: " << elapsed << " s" << endl;
+
+	vec v = point->get_vector();
+	double w = point->get_scalar();
+	TMatrix sqmat2 = sqmat;
+
+	tt.tic();
+	sqmat2.opupdt ( v, w );
+	elapsed = tt.toc();
+
+	if ( !fast ) {
+		mat expA = A + w * outer_product ( v, v );
+		CHECK_CLOSE ( expA, sqmat2.to_mat(), epsilon );
+	}
+
+	cout << "opupdt: " << elapsed << " s" << endl;
+
+	TMatrix invmat ( sz );
+
+	tt.tic();
+	sqmat.inv ( invmat );
+	elapsed = tt.toc();
+
+	mat invA;
+	if ( !fast ) {
+		invA = inv ( A );
+		CHECK_CLOSE ( invA, invmat.to_mat(), epsilon );
+	}
+
+	cout << "inv: " << elapsed << " s" << endl;
+
+	tt.tic();
+	double ld = sqmat.logdet();
+	elapsed = tt.toc();
+
+	if ( !fast ) {
+		double d = det ( A );
+		CHECK_CLOSE ( log ( d ), ld, epsilon );
+	}
+
+	cout << "logdet: " << elapsed << " s" << endl;
+
+	tt.tic();
+	double q = sqmat.qform ( ones ( sz ) );
+	elapsed = tt.toc();
+
+	if ( !fast ) {
+		CHECK_CLOSE ( sumsum ( A ), q, epsilon );
+	}
+
+	cout << "qform(1): " << elapsed << " s" << endl;
+
+	tt.tic();
+	q = sqmat.qform ( v );
+	elapsed = tt.toc();
+
+	if ( !fast ) {
+		double r = ( A * v ) * v;
+		CHECK_CLOSE ( r, q, epsilon );
+	}
+
+	cout << "qform(v): " << elapsed << " s" << endl;
+
+	tt.tic();
+	q = sqmat.invqform ( v );
+	elapsed = tt.toc();
+
+	if ( !fast ) {
+		double r = ( invA * v ) * v;
+		CHECK_CLOSE ( r, q, epsilon );
+	}
+
+	cout << "invqform: " << elapsed << " s" << endl;
+
+	TMatrix twice = sqmat;
+
+	tt.tic();
+	twice += sqmat;
+	elapsed = tt.toc();
+
+	if ( !fast ) {
+		res = 2 * A;
+		CHECK_CLOSE ( res, twice.to_mat(), epsilon );
+	}
+
+	cout << "+=: " << elapsed << " s" << endl;
+
+	sqmat2 = sqmat;
+
+	tt.tic();
+	sqmat2.mult_sym ( A );
+	elapsed = tt.toc();
+
+	if ( !fast ) {
+		res = ( A * A ) * A.T();
+		CHECK_CLOSE ( res, sqmat2.to_mat(), epsilon );
+	}
+
+	cout << "^2: " << elapsed << " s" << endl;
+}
+
+void test_agenda ( FTestMatrix test ) {
+	UIFile fag ( agenda_file_name );
+	Array<square_mat_point *> mag;
+	UI::get ( mag, fag, "agenda" );
+	int sz = mag.size();
+	CHECK ( sz > 0 );
+	for ( int i = 0; i < sz; ++i ) {
+		test ( i, mag ( i ) );
+	}
+
+	for ( int i = 0; i < sz; ++i ) {
+		square_mat_point *p = mag ( i );
+		mag ( i ) = 0;
+		delete p;
+	}
+}
+
+SUITE ( ldmat ) {
+	TEST ( agenda ) {
+		test_agenda ( test_matrix<ldmat> );
+	}
+}
+
+SUITE ( fsqmat ) {
+	TEST ( agenda ) {
+		test_agenda ( test_matrix<fsqmat> );
+	}
+}
+
+SUITE ( chmat ) {
+	TEST ( agenda ) {
+		test_agenda ( test_matrix<chmat> );
+	}
+}
+
+int main ( int argc, char const *argv[] ) {
+	bool unknown = false;
+	int update_next = 0; // 1 suite, 2 epsilon, 3 agenda file
+	const char *suite = "ldmat";
+	const char **param = argv + 1;
+	while ( *param && !unknown ) {
+		if ( update_next ) {
+			if ( update_next == 1 ) {
+				suite = *param;
+			} else if ( update_next == 2 ) {
+				double eps = atof ( *param );
+				if ( eps > 0 ) {
+					epsilon = eps;
+				} else {
+					cerr << "invalid epsilon value ignored" << endl;
+				}
+			} else {
+				agenda_file_name = *param;
+			}
+
+			update_next = 0;
 		} else {
-		    cerr << "invalid epsilon value ignored" << endl;
+			if ( !strcmp ( *param, "-a" ) ) {
+				update_next = 3;
+			} else if ( !strcmp ( *param, "-c" ) ) {
+				update_next = 1;
+			} else if ( !strcmp ( *param, "-e" ) ) {
+				update_next = 2;
+			} else if ( !strcmp ( *param, "-f" ) ) {
+				fast = true;
+			} else {
+				unknown = true;
+			}
 		}
-	    } else {
-	        agenda_file_name = *param;
-	    }
-
-	    update_next = 0;
+
+		++param;
+	}
+
+	if ( unknown || update_next ) {
+		cerr << "usage: " << argv[0] << " [ -f ] [ -e epsilon ] [ -a agenda_input.cfg ] [ -c class ]" << endl;
 	} else {
-	    if (!strcmp(*param, "-a")) {
-	        update_next = 3;
-	    } else if (!strcmp(*param, "-c")) {
-	        update_next = 1;
-	    } else if (!strcmp(*param, "-e")) {
-	        update_next = 2;
-	    } else if (!strcmp(*param, "-f")) {
-		fast = true;
-	    } else {
-	        unknown = true;
-	    }
-	}
-
-	++param;
-    }
-
-    if (unknown || update_next) {
-        cerr << "usage: " << argv[0] << " [ -f ] [ -e epsilon ] [ -a agenda_input.cfg ] [ -c class ]" << endl;
-    } else {
-	UnitTest::TestReporterStdout reporter;
-	UnitTest::TestRunner runner(reporter);
-	return runner.RunTestsIf(UnitTest::Test::GetTestList(),
-	    suite,
-	    UnitTest::True(),
-	    0);
-    }
-}
+		UnitTest::TestReporterStdout reporter;
+		UnitTest::TestRunner runner ( reporter );
+		return runner.RunTestsIf ( UnitTest::Test::GetTestList(),
+		                           suite,
+		                           UnitTest::True(),
+		                           0 );
+	}
+}
Index: library/tests/mat_checks.h
===================================================================
--- library/tests/mat_checks.h (revision 465)
+++ library/tests/mat_checks.h (revision 477)
@@ -17,36 +17,35 @@
 #include "UnitTest++.h"
 
-namespace UnitTest
-{
+namespace UnitTest {
 
-bool AreClose(const itpp::vec &expected, const itpp::vec &actual,
-	      double tolerance);
+bool AreClose ( const itpp::vec &expected, const itpp::vec &actual,
+                double tolerance );
 
-bool AreClose(const itpp::vec &expected, const itpp::vec &actual,
-	      const itpp::vec &tolerance);
+bool AreClose ( const itpp::vec &expected, const itpp::vec &actual,
+                const itpp::vec &tolerance );
 
-bool AreClose(const itpp::mat &expected, const itpp::mat &actual,
-	      double tolerance);
+bool AreClose ( const itpp::mat &expected, const itpp::mat &actual,
+                double tolerance );
 
-inline void CheckClose(TestResults &results, const itpp::vec &expected,
-		       const itpp::vec &actual, double tolerance,
-		       TestDetails const &details) {
-    if (!AreClose(expected, actual, tolerance)) { 
-	MemoryOutStream stream;
-	stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
+inline void CheckClose ( TestResults &results, const itpp::vec &expected,
+                         const itpp::vec &actual, double tolerance,
+                         TestDetails const &details ) {
+	if ( !AreClose ( expected, actual, tolerance ) ) {
+		MemoryOutStream stream;
+		stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
 
-	results.OnTestFailure(details, stream.GetText());
-    }
+		results.OnTestFailure ( details, stream.GetText() );
+	}
 }
 
-inline void CheckClose(TestResults &results, const itpp::mat &expected,
-		       const itpp::mat &actual, double tolerance,
-		       TestDetails const &details) {
-    if (!AreClose(expected, actual, tolerance)) { 
-        MemoryOutStream stream;
-        stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
+inline void CheckClose ( TestResults &results, const itpp::mat &expected,
+                         const itpp::mat &actual, double tolerance,
+                         TestDetails const &details ) {
+	if ( !AreClose ( expected, actual, tolerance ) ) {
+		MemoryOutStream stream;
+		stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
 
-        results.OnTestFailure(details, stream.GetText());
-    }
+		results.OnTestFailure ( details, stream.GetText() );
+	}
 }
 
@@ -56,41 +55,40 @@
   blocks having an instance of this class (which sets the globals for
   error reporting). */
-class CurrentContext
-{
+class CurrentContext {
 private:
-    static const char *config_name;
-    static int index;
+	static const char *config_name;
+	static int index;
 
 public:
-    // the pointer must stay valid for the lifetime of the object
-    CurrentContext(const char *name, int idx);
-    ~CurrentContext();
+	// the pointer must stay valid for the lifetime of the object
+	CurrentContext ( const char *name, int idx );
+	~CurrentContext();
 
-    template<typename Expected, typename Actual>
-    static void CheckEqualEx(UnitTest::TestResults& results,
-			     Expected const& expected,
-			     Actual const& actual,
-			     UnitTest::TestDetails const& details) {
-	if (!(expected == actual)) {
-	    UnitTest::MemoryOutStream stream;
-	    stream << "error at " << config_name << '[' << index << "]: expected " << expected << " but was " << actual;
+	template<typename Expected, typename Actual>
+	static void CheckEqualEx ( UnitTest::TestResults& results,
+	                           Expected const& expected,
+	                           Actual const& actual,
+	                           UnitTest::TestDetails const& details ) {
+		if ( ! ( expected == actual ) ) {
+			UnitTest::MemoryOutStream stream;
+			stream << "error at " << config_name << '[' << index << "]: expected " << expected << " but was " << actual;
 
-	    results.OnTestFailure(details, stream.GetText());
+			results.OnTestFailure ( details, stream.GetText() );
+		}
 	}
-    }
 
-    template<typename Expected, typename Actual, typename Tolerance>
-    static void CheckCloseEx(UnitTest::TestResults& results,
-			     Expected const& expected,
-			     Actual const& actual,
-			     Tolerance const& tolerance,
-			     UnitTest::TestDetails const& details) {
-        if (!UnitTest::AreClose(expected, actual, tolerance)) { 
-	    UnitTest::MemoryOutStream stream;
-	    stream << "error at " << config_name << '[' << index << "]: expected " << expected << " +/- " << tolerance << " but was " << actual;
+	template<typename Expected, typename Actual, typename Tolerance>
+	static void CheckCloseEx ( UnitTest::TestResults& results,
+	                           Expected const& expected,
+	                           Actual const& actual,
+	                           Tolerance const& tolerance,
+	                           UnitTest::TestDetails const& details ) {
+		if ( !UnitTest::AreClose ( expected, actual, tolerance ) ) {
+			UnitTest::MemoryOutStream stream;
+			stream << "error at " << config_name << '[' << index << "]: expected " << expected << " +/- " << tolerance << " but was " << actual;
 
-	    results.OnTestFailure(details, stream.GetText());
+			results.OnTestFailure ( details, stream.GetText() );
+		}
 	}
-    }
 };
 
Index: library/tests/unittest-cpp/TestSuite.h
===================================================================
--- library/tests/unittest-cpp/TestSuite.h (revision 418)
+++ library/tests/unittest-cpp/TestSuite.h (revision 477)
@@ -2,10 +2,8 @@
 #define UNITTEST_TESTSUITE_H
 
-namespace UnitTestSuite 
-{
-    inline char const* GetSuiteName ()
-    {
-        return "DefaultSuite";
-    }
+namespace UnitTestSuite {
+inline char const* GetSuiteName () {
+	return "DefaultSuite";
+}
 }
 
Index: library/tests/unittest-cpp/TimeConstraint.cpp
===================================================================
--- library/tests/unittest-cpp/TimeConstraint.cpp (revision 418)
+++ library/tests/unittest-cpp/TimeConstraint.cpp (revision 477)
@@ -7,22 +7,19 @@
 
 
-TimeConstraint::TimeConstraint(int ms, TestDetails const& details)
-	: m_details(details)
-    , m_maxMs(ms)
-{
-    m_timer.Start();
+TimeConstraint::TimeConstraint ( int ms, TestDetails const& details )
+		: m_details ( details )
+		, m_maxMs ( ms ) {
+	m_timer.Start();
 }
 
-TimeConstraint::~TimeConstraint()
-{
-    double const totalTimeInMs = m_timer.GetTimeInMs();
-    if (totalTimeInMs > m_maxMs)
-    {
-        MemoryOutStream stream;
-        stream << "Time constraint failed. Expected to run test under " << m_maxMs <<
-                  "ms but took " << totalTimeInMs << "ms.";
+TimeConstraint::~TimeConstraint() {
+	double const totalTimeInMs = m_timer.GetTimeInMs();
+	if ( totalTimeInMs > m_maxMs ) {
+		MemoryOutStream stream;
+		stream << "Time constraint failed. Expected to run test under " << m_maxMs <<
+		"ms but took " << totalTimeInMs << "ms.";
 
-		UnitTest::CurrentTest::Results()->OnTestFailure(m_details, stream.GetText());
-    }
+		UnitTest::CurrentTest::Results()->OnTestFailure ( m_details, stream.GetText() );
+	}
 }
 
Index: library/tests/unittest-cpp/Checks.h
===================================================================
--- library/tests/unittest-cpp/Checks.h (revision 418)
+++ library/tests/unittest-cpp/Checks.h (revision 477)
@@ -10,146 +10,131 @@
 
 template< typename Value >
-bool Check(Value const value)
-{
-    return !!value; // doing double negative to avoid silly VS warnings
+bool Check ( Value const value ) {
+	return !!value; // doing double negative to avoid silly VS warnings
 }
 
 
 template< typename Expected, typename Actual >
-void CheckEqual(TestResults& results, Expected const& expected, Actual const& actual, TestDetails const& details)
-{
-    if (!(expected == actual))
-    {
-        UnitTest::MemoryOutStream stream;
-        stream << "Expected " << expected << " but was " << actual;
+void CheckEqual ( TestResults& results, Expected const& expected, Actual const& actual, TestDetails const& details ) {
+	if ( ! ( expected == actual ) ) {
+		UnitTest::MemoryOutStream stream;
+		stream << "Expected " << expected << " but was " << actual;
 
-        results.OnTestFailure(details, stream.GetText());
-    }
+		results.OnTestFailure ( details, stream.GetText() );
+	}
 }
 
-void CheckEqual(TestResults& results, char const* expected, char const* actual, TestDetails const& details);
+void CheckEqual ( TestResults& results, char const* expected, char const* actual, TestDetails const& details );
 
-void CheckEqual(TestResults& results, char* expected, char* actual, TestDetails const& details);
+void CheckEqual ( TestResults& results, char* expected, char* actual, TestDetails const& details );
 
-void CheckEqual(TestResults& results, char* expected, char const* actual, TestDetails const& details);
+void CheckEqual ( TestResults& results, char* expected, char const* actual, TestDetails const& details );
 
-void CheckEqual(TestResults& results, char const* expected, char* actual, TestDetails const& details);
+void CheckEqual ( TestResults& results, char const* expected, char* actual, TestDetails const& details );
 
 template< typename Expected, typename Actual, typename Tolerance >
-bool AreClose(Expected const& expected, Actual const& actual, Tolerance const& tolerance)
-{
-    return (actual >= (expected - tolerance)) && (actual <= (expected + tolerance));
+bool AreClose ( Expected const& expected, Actual const& actual, Tolerance const& tolerance ) {
+	return ( actual >= ( expected - tolerance ) ) && ( actual <= ( expected + tolerance ) );
 }
 
 template< typename Expected, typename Actual, typename Tolerance >
-void CheckClose(TestResults& results, Expected const& expected, Actual const& actual, Tolerance const& tolerance,
-                TestDetails const& details)
-{
-    if (!AreClose(expected, actual, tolerance))
-    { 
-        UnitTest::MemoryOutStream stream;
-        stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
+void CheckClose ( TestResults& results, Expected const& expected, Actual const& actual, Tolerance const& tolerance,
+                  TestDetails const& details ) {
+	if ( !AreClose ( expected, actual, tolerance ) ) {
+		UnitTest::MemoryOutStream stream;
+		stream << "Expected " << expected << " +/- " << tolerance << " but was " << actual;
 
-        results.OnTestFailure(details, stream.GetText());
-    }
+		results.OnTestFailure ( details, stream.GetText() );
+	}
 }
 
 
 template< typename Expected, typename Actual >
-void CheckArrayEqual(TestResults& results, Expected const& expected, Actual const& actual,
-                int const count, TestDetails const& details)
-{
-    bool equal = true;
-    for (int i = 0; i < count; ++i)
-        equal &= (expected[i] == actual[i]);
+void CheckArrayEqual ( TestResults& results, Expected const& expected, Actual const& actual,
+                       int const count, TestDetails const& details ) {
+	bool equal = true;
+	for ( int i = 0; i < count; ++i )
+		equal &= ( expected[i] == actual[i] );
 
-    if (!equal)
-    {
-        UnitTest::MemoryOutStream stream;
+	if ( !equal ) {
+		UnitTest::MemoryOutStream stream;
 
 		stream << "Expected [ ";
 
-		for (int expectedIndex = 0; expectedIndex < count; ++expectedIndex)
-            stream << expected[expectedIndex] << " ";
+		for ( int expectedIndex = 0; expectedIndex < count; ++expectedIndex )
+			stream << expected[expectedIndex] << " ";
 
 		stream << "] but was [ ";
 
-		for (int actualIndex = 0; actualIndex < count; ++actualIndex)
-            stream << actual[actualIndex] << " ";
+		for ( int actualIndex = 0; actualIndex < count; ++actualIndex )
+			stream << actual[actualIndex] << " ";
 
 		stream << "]";
 
-        results.OnTestFailure(details, stream.GetText());
-    }
+		results.OnTestFailure ( details, stream.GetText() );
+	}
 }
 
 template< typename Expected, typename Actual, typename Tolerance >
-bool ArrayAreClose(Expected const& expected, Actual const& actual, int const count, Tolerance const& tolerance)
-{
-    bool equal = true;
-    for (int i = 0; i < count; ++i)
-        equal &= AreClose(expected[i], actual[i], tolerance);
-    return equal;
+bool ArrayAreClose ( Expected const& expected, Actual const& actual, int const count, Tolerance const& tolerance ) {
+	bool equal = true;
+	for ( int i = 0; i < count; ++i )
+		equal &= AreClose ( expected[i], actual[i], tolerance );
+	return equal;
 }
 
 template< typename Expected, typename Actual, typename Tolerance >
-void CheckArrayClose(TestResults& results, Expected const& expected, Actual const& actual,
-                   int const count, Tolerance const& tolerance, TestDetails const& details)
-{
-    bool equal = ArrayAreClose(expected, actual, count, tolerance);
+void CheckArrayClose ( TestResults& results, Expected const& expected, Actual const& actual,
+                       int const count, Tolerance const& tolerance, TestDetails const& details ) {
+	bool equal = ArrayAreClose ( expected, actual, count, tolerance );
 
-    if (!equal)
-    {
-        UnitTest::MemoryOutStream stream;
+	if ( !equal ) {
+		UnitTest::MemoryOutStream stream;
 
-        stream << "Expected [ ";
-        for (int expectedIndex = 0; expectedIndex < count; ++expectedIndex)
-            stream << expected[expectedIndex] << " ";
-        stream << "] +/- " << tolerance << " but was [ ";
+		stream << "Expected [ ";
+		for ( int expectedIndex = 0; expectedIndex < count; ++expectedIndex )
+			stream << expected[expectedIndex] << " ";
+		stream << "] +/- " << tolerance << " but was [ ";
 
-		for (int actualIndex = 0; actualIndex < count; ++actualIndex)
-            stream << actual[actualIndex] << " ";
-        stream << "]";
+		for ( int actualIndex = 0; actualIndex < count; ++actualIndex )
+			stream << actual[actualIndex] << " ";
+		stream << "]";
 
-        results.OnTestFailure(details, stream.GetText());
-    }
+		results.OnTestFailure ( details, stream.GetText() );
+	}
 }
 
 template< typename Expected, typename Actual, typename Tolerance >
-void CheckArray2DClose(TestResults& results, Expected const& expected, Actual const& actual,
-                   int const rows, int const columns, Tolerance const& tolerance, TestDetails const& details)
-{
-    bool equal = true;
-    for (int i = 0; i < rows; ++i)
-        equal &= ArrayAreClose(expected[i], actual[i], columns, tolerance);
+void CheckArray2DClose ( TestResults& results, Expected const& expected, Actual const& actual,
+                         int const rows, int const columns, Tolerance const& tolerance, TestDetails const& details ) {
+	bool equal = true;
+	for ( int i = 0; i < rows; ++i )
+		equal &= ArrayAreClose ( expected[i], actual[i], columns, tolerance );
 
-    if (!equal)
-    {
-        UnitTest::MemoryOutStream stream;
+	if ( !equal ) {
+		UnitTest::MemoryOutStream stream;
 
-        stream << "Expected [ ";    
+		stream << "Expected [ ";
 
-		for (int expectedRow = 0; expectedRow < rows; ++expectedRow)
-        {
-            stream << "[ ";
-            for (int expectedColumn = 0; expectedColumn < columns; ++expectedColumn)
-                stream << expected[expectedRow][expectedColumn] << " ";
-            stream << "] ";
-        }
+		for ( int expectedRow = 0; expectedRow < rows; ++expectedRow ) {
+			stream << "[ ";
+			for ( int expectedColumn = 0; expectedColumn < columns; ++expectedColumn )
+				stream << expected[expectedRow][expectedColumn] << " ";
+			stream << "] ";
+		}
 
 		stream << "] +/- " << tolerance << " but was [ ";
 
-		for (int actualRow = 0; actualRow < rows; ++actualRow)
-        {
-            stream << "[ ";
-            for (int actualColumn = 0; actualColumn < columns; ++actualColumn)
-                stream << actual[actualRow][actualColumn] << " ";
-            stream << "] ";
-        }
+		for ( int actualRow = 0; actualRow < rows; ++actualRow ) {
+			stream << "[ ";
+			for ( int actualColumn = 0; actualColumn < columns; ++actualColumn )
+				stream << actual[actualRow][actualColumn] << " ";
+			stream << "] ";
+		}
 
 		stream << "]";
 
-        results.OnTestFailure(details, stream.GetText());
-    }
+		results.OnTestFailure ( details, stream.GetText() );
+	}
 }
 
Index: library/tests/unittest-cpp/TestResults.h
===================================================================
--- library/tests/unittest-cpp/TestResults.h (revision 418)
+++ library/tests/unittest-cpp/TestResults.h (revision 477)
@@ -7,27 +7,26 @@
 class TestDetails;
 
-class TestResults
-{
+class TestResults {
 public:
-    explicit TestResults(TestReporter* reporter = 0);
+	explicit TestResults ( TestReporter* reporter = 0 );
 
-    void OnTestStart(TestDetails const& test);
-    void OnTestFailure(TestDetails const& test, char const* failure);
-    void OnTestFinish(TestDetails const& test, float secondsElapsed);
+	void OnTestStart ( TestDetails const& test );
+	void OnTestFailure ( TestDetails const& test, char const* failure );
+	void OnTestFinish ( TestDetails const& test, float secondsElapsed );
 
-    int GetTotalTestCount() const;
-    int GetFailedTestCount() const;
-    int GetFailureCount() const;
+	int GetTotalTestCount() const;
+	int GetFailedTestCount() const;
+	int GetFailureCount() const;
 
 private:
-    TestReporter* m_testReporter;
-    int m_totalTestCount;
-    int m_failedTestCount;
-    int m_failureCount;
+	TestReporter* m_testReporter;
+	int m_totalTestCount;
+	int m_failedTestCount;
+	int m_failureCount;
 
-    bool m_currentTestFailed;
+	bool m_currentTestFailed;
 
-    TestResults(TestResults const&);
-    TestResults& operator =(TestResults const&);
+	TestResults ( TestResults const& );
+	TestResults& operator = ( TestResults const& );
 };
 
Index: library/tests/unittest-cpp/TestReporter.h
===================================================================
--- library/tests/unittest-cpp/TestReporter.h (revision 418)
+++ library/tests/unittest-cpp/TestReporter.h (revision 477)
@@ -6,13 +6,12 @@
 class TestDetails;
 
-class TestReporter
-{
+class TestReporter {
 public:
-    virtual ~TestReporter();
+	virtual ~TestReporter();
 
-    virtual void ReportTestStart(TestDetails const& test) = 0;
-    virtual void ReportFailure(TestDetails const& test, char const* failure) = 0;
-    virtual void ReportTestFinish(TestDetails const& test, float secondsElapsed) = 0;
-    virtual void ReportSummary(int totalTestCount, int failedTestCount, int failureCount, float secondsElapsed) = 0;
+	virtual void ReportTestStart ( TestDetails const& test ) = 0;
+	virtual void ReportFailure ( TestDetails const& test, char const* failure ) = 0;
+	virtual void ReportTestFinish ( TestDetails const& test, float secondsElapsed ) = 0;
+	virtual void ReportSummary ( int totalTestCount, int failedTestCount, int failureCount, float secondsElapsed ) = 0;
 };
 
Index: library/tests/unittest-cpp/ExecuteTest.h
===================================================================
--- library/tests/unittest-cpp/ExecuteTest.h (revision 418)
+++ library/tests/unittest-cpp/ExecuteTest.h (revision 477)
@@ -8,5 +8,5 @@
 
 #ifdef UNITTEST_POSIX
-	#include "Posix/SignalTranslator.h"
+#include "Posix/SignalTranslator.h"
 #endif
 
@@ -14,29 +14,21 @@
 
 template< typename T >
-void ExecuteTest(T& testObject, TestDetails const& details)
-{
+void ExecuteTest ( T& testObject, TestDetails const& details ) {
 	CurrentTest::Details() = &details;
 
-	try
-	{
+	try {
 #ifdef UNITTEST_POSIX
 		UNITTEST_THROW_SIGNALS
 #endif
 		testObject.RunImpl();
-	}
-	catch (AssertException const& e)
-	{
-		CurrentTest::Results()->OnTestFailure(
-			TestDetails(details.testName, details.suiteName, e.Filename(), e.LineNumber()), e.what());
-	}
-	catch (std::exception const& e)
-	{
+	} catch ( AssertException const& e ) {
+		CurrentTest::Results()->OnTestFailure (
+		    TestDetails ( details.testName, details.suiteName, e.Filename(), e.LineNumber() ), e.what() );
+	} catch ( std::exception const& e ) {
 		MemoryOutStream stream;
 		stream << "Unhandled exception: " << e.what();
-		CurrentTest::Results()->OnTestFailure(details, stream.GetText());
-	}
-	catch (...)
-	{
-		CurrentTest::Results()->OnTestFailure(details, "Unhandled exception: Crash!");
+		CurrentTest::Results()->OnTestFailure ( details, stream.GetText() );
+	} catch ( ... ) {
+		CurrentTest::Results()->OnTestFailure ( details, "Unhandled exception: Crash!" );
 	}
 }
